Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.log4jfugue
Class Log4jAppenderDataGetter

    java.lang.Object
      java.lang.Thread
          org.log4jfugue.SimpleDataGetter
              org.log4jfugue.Log4jAppenderDataGetter

All Implemented Interfaces:
  java.lang.Runnable

    public class Log4jAppenderDataGetter

extends SimpleDataGetter

Thinking about how to do this. Need to setup a SimpleSocketServer to listen for the socket messages. This will in turn use a SocketNode which is the class that deals with the messages themselves. The default SocketNode just turns around and relogs the message, but we'd instead just look at its contents and call the message processor. On the client side we'd setup the socket appender: # A1 is set to be a SocketAppender sending its output to the server running on the remote host, port 12345. log4j.appender.A1=org.apache.log4j.net.SocketAppender log4j.appender.A1.Port=4445 log4j.appender.A1.RemoteHost=[IP_ADDRESS_SERVER]

Author:
  btarbox

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Log4jAppenderDataGetter()`

Method Summary

Methods inherited from class org.log4jfugue.SimpleDataGetter
`run, setReader, setWriter, swappedIndex`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Log4jAppenderDataGetter

    public Log4jAppenderDataGetter()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD